cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/organization/billing/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/organization/billing/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/organization/billing/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_cost": 5.43,
"currency": "USD",
"period": {
"start": "<string>",
"end": "<string>"
},
"by_product": {
"messaging": 123,
"sip-trunking": 123,
"webrtc": 123,
"recording": 123,
"media-storage": 123,
"whatsapp": 123,
"phone-numbers": 123
},
"by_channel": {
"sms": 123,
"mms": 123,
"whatsapp": 123,
"voice": 123,
"other": 123
},
"by_direction": {
"inbound": 123,
"outbound": 123
},
"record_count": 123
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Billing
Get billing summary
Get aggregated cost totals by product, channel, and direction for a date range
GET
/
v1
/
organization
/
billing
/
summary
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Query Parameters
Start date (YYYY-MM-DD)
Example:
"2026-02-01"
End date (YYYY-MM-DD)
Example:
"2026-02-28"
Filter by specific app
Response
Aggregated billing summary
⌘I